# Bojan Nikolic <b.nikolic@mrao.cam.ac.uk>
"General file utilities"
import shutil
import os

def cp(i, o):
    "Copy file or directory to directory o"
    if not os.path.exists(o):
        os.makedirs(o)

    if os.path.isdir(i):
        shutil.copytree(i, o)
    else:
        shutil.copy(i, o)
