#! /usr/bin/env python
from AIPS import AIPS
from AIPSTask import AIPSTask
from AIPSData import AIPSUVData

import os
import sys

AIPS.userno = 1999

task = AIPSTask('apcal')

args = sys.argv[1:]
outputs = []
tables = []
while args:
    if args[0] == 'snver':
        s = args[1].split('_')
        tables.append(args[1])
        task.snver = float(s[1])
        args = args[2:]
        continue
    if args[0] == 'indata':
        s = args[1].split('_')
        data = AIPSUVData(s[0], s[1], int(s[2]), 1)
        if args[0] == 'indata':
            indata = data
        task.indata = data
        args = args[2:]
        continue
    if args[0] == 'freqid':
        task.freqid = float(args[1])
        args = args[2:]
        continue
    if args[0] == 'tyver':
        s = args[1].split('_')
        task.tyver = float(s[1])
        args = args[2:]
        continue
    if args[0] == 'gcver':
        s = args[1].split('_')
        task.gcver = float(s[1])
        args = args[2:]
        continue
    if args[0] == 'prtlev':
        task.prtlev = float(args[1])
        args = args[2:]
        continue
    print args
    raise Hell
    continue
task.go()

for output in outputs:
    if output[0].exists():
        fp = open(output[1], 'w')
        idx = 0
        for antenna in output[0].antennas:
            fp.write('antennas[%d] = %s\n' % (idx, antenna))
            idx += 1
        idx = 0
        for source in output[0].sources:
            fp.write('sources[%d] = %s\n' % (idx, source))
            idx += 1
        fp.close()
for table in tables:
    s = table.split('_')
    if [int(s[1]), 'AIPS %s' % s[0]] in indata.tables:
        open(table, 'a')
