#! /usr/bin/env python
from AIPS import AIPS
from AIPSTask import AIPSTask
from AIPSData import AIPSUVData

import os
import sys

AIPS.userno = 1999

task = AIPSTask('multi')

args = sys.argv[1:]
outputs = []
tables = []
while args:
    if args[0] == 'outdata':
        s = args[1].split('_')
        data = AIPSUVData(s[0], s[1], int(s[2]), 1)
        outputs.append((data, args[1]))
        task.outdata = data
        if data.exists():
            data.zap()
            try:
                os.remove(args[1])
            except:
                pass
            pass
        args = args[2:]
        continue
    if args[0] == 'indata':
        s = args[1].split('_')
        data = AIPSUVData(s[0], s[1], int(s[2]), 1)
        if args[0] == 'indata':
            indata = data
        task.indata = data
        args = args[2:]
        continue
    if args[0] == 'sources':
        n = int(args[1])
        for i in xrange(n):
            task.sources[i + 1] = args[2]
            args = args[1:]
            continue
        args = args[2:]
        continue
    if args[0] == 'aparm':
        n = int(args[1])
        for i in xrange(n):
            task.aparm[i + 1] = float(args[2])
            args = args[1:]
            continue
        args = args[2:]
        continue
    print args
    raise Hell
    continue
task.go()

indxr = AIPSTask('indxr')
indxr.indata = indata
indxr.cparm[1:] = [0, 22, .25]
indxr.go()

for output in outputs:
    if output[0].exists():
        fp = open(output[1], 'w')
        idx = 0
        for antenna in output[0].antennas:
            fp.write('antennas[%d] = %s\n' % (idx, antenna))
            idx += 1
        idx = 0
        for source in output[0].sources:
            fp.write('sources[%d] = %s\n' % (idx, source))
            idx += 1
        fp.close()
for table in tables:
    s = table.split('_')
    if [int(s[1]), 'AIPS %s' % s[0]] in indata.tables:
        open(table, 'a')
