module ParseParams (
  parseParams
  ) where


import Text.ParserCombinators.Parsec

           
params = do char '['
            spaces
            ps <- sepBy keyValPair (char ',')
            char ']'       
            return ps

keyValPair = do spaces
                char '('
                spaces
                key <- key
                spaces
                char ','
                spaces
                val <- keyOrVal
                spaces
                char ')'
                spaces
                return (key, val)

key = do char '\''
         kOrv <- many (noneOf "'")
         char '\''
         return kOrv 
              

keyOrVal :: GenParser Char st String
keyOrVal = do k <- key
              return $ "\"" ++ k ++ "\""
              -- return k
           <|>
           do kOrv <- many (noneOf "()")
              return kOrv

parseParams s = parse params "[fail]" s
